Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::ComplexExplanation Class Reference

Describes the score computation for document and query, and can distinguish a match independent of a positive value. More...

`#include <ComplexExplanation.h>`

Inheritance diagram for Lucene::ComplexExplanation:

## Public Member Functions

| ComplexExplanation (bool match=false, double value=0, const String &description=EmptyString)
virtual | ~ComplexExplanation ()
virtual String | getClassName ()
boost::shared_ptr< ComplexExplanation > | shared_from_this ()
bool | getMatch ()
| The match status of this explanation node. More...
void | setMatch (bool match)
| Sets the match status assigned to this explanation node. More...
virtual bool | isMatch ()
| Indicates whether or not this Explanation models a good match. More...
Public Member Functions inherited from Lucene::Explanation
| Explanation (double value=0, const String &description=EmptyString)
virtual | ~Explanation ()
boost::shared_ptr< Explanation > | shared_from_this ()
virtual double | getValue ()
| The value assigned to this explanation node. More...
virtual void | setValue (double value)
| Sets the value assigned to this explanation node. More...
virtual String | getDescription ()
| A description of this explanation node. More...
virtual void | setDescription (const String &description)
| Sets the description of this explanation node. More...
virtual Collection< ExplanationPtr > | getDetails ()
| The sub-nodes of this explanation node. More...
virtual void | addDetail (const ExplanationPtr &detail)
| Adds a sub-node to this explanation node. More...
virtual String | toString ()
| Render an explanation as text. More...
virtual String | toHtml ()
| Render an explanation as HTML. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Explanation
static String | _getClassName ()

## Protected Member Functions

virtual String | getSummary ()
| A short one line summary which should contain all high level information about this Explanation, without the "Details". More...
Protected Member Functions inherited from Lucene::Explanation
virtual String | toString (int32_t depth)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

bool | match
Protected Attributes inherited from Lucene::Explanation
double | value
String | description
Collection< ExplanationPtr > | details
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Describes the score computation for document and query, and can distinguish a match independent of a positive value.

## Constructor & Destructor Documentation

## ◆ ComplexExplanation()

Lucene::ComplexExplanation::ComplexExplanation | ( | bool | match = `false`,
|  | double | value = `0`,
|  | const String & | description = `EmptyString`
| ) |  |

## ◆ ~ComplexExplanation()

virtual Lucene::ComplexExplanation::~ComplexExplanation | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::ComplexExplanation::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::ComplexExplanation::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Explanation.

## ◆ getMatch()

bool Lucene::ComplexExplanation::getMatch | ( |  | ) |

The match status of this explanation node.

## ◆ getSummary()

virtual String Lucene::ComplexExplanation::getSummary | ( |  | ) |

protected virtual

A short one line summary which should contain all high level information about this Explanation, without the "Details".

Reimplemented from Lucene::Explanation.

## ◆ isMatch()

virtual bool Lucene::ComplexExplanation::isMatch | ( |  | ) |

virtual

Indicates whether or not this Explanation models a good match.

If the match status is explicitly set this method uses it; otherwise it defers to the superclass.

See also
  getMatch

Reimplemented from Lucene::Explanation.

## ◆ setMatch()

void Lucene::ComplexExplanation::setMatch | ( | bool | match | ) |

Sets the match status assigned to this explanation node.

## ◆ shared_from_this()

boost::shared_ptr< ComplexExplanation > Lucene::ComplexExplanation::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ match

bool Lucene::ComplexExplanation::match

protected

The documentation for this class was generated from the following file:

- ComplexExplanation.h

clucene.sourceforge.net